###################################################
### chunk number 1: 
###################################################
options(digits = 3, width = 60, scipen = 99)
set.seed(1)

cat.df.without.rownames <- function (d, file = ""){
  stopifnot(is.data.frame(d))
  row.names(d) <- 1:nrow(d)
  x <- NULL
  conn <- textConnection("x", "w", local = TRUE)
  capture.output(print(d), file = conn)
  close(conn)
  cat(substring(x, first = max(nchar(row.names(d))) + 2), sep = "\n", 
      file = file)
}


###################################################
### chunk number 2: 
###################################################
library("tradeCosts")
data("trade.mar.2007")
head(trade.mar.2007)


###################################################
### chunk number 3: 
###################################################
data("dynamic.mar.2007")
head(dynamic.mar.2007[c("period","id","vwap","prior.close")])


###################################################
### chunk number 4: 
###################################################
data("static.mar.2007")
head(static.mar.2007)


###################################################
### chunk number 5: 
###################################################
op <- options()
options(width = 30)


###################################################
### chunk number 6: 
###################################################
result <- trade.costs(trade = trade.mar.2007,
                      dynamic = dynamic.mar.2007,
                      static = static.mar.2007,
                      start.period = as.Date("2007-03-01"),
                      end.period = as.Date("2007-03-01"),
                      benchmark.price = "vwap")


###################################################
### chunk number 7: 
###################################################
options(op)


###################################################
### chunk number 8: 
###################################################
summary(result)


###################################################
### chunk number 9: 
###################################################
subset(trade.mar.2007, id %in% "59862K10")


###################################################
### chunk number 10: 
###################################################
op <- options()
options(width = 30)


###################################################
### chunk number 11: 
###################################################
result.batched <- trade.costs(trade.mar.2007, dynamic = dynamic.mar.2007,
                              static = static.mar.2007, batch.method = "same.sided",
                              benchmark.price = "decision.price")


###################################################
### chunk number 12: 
###################################################
options(op)


###################################################
### chunk number 13: 
###################################################
summary(result.batched)


###################################################
### chunk number 14: 
###################################################
plot(result.batched, "time.series.bps")


###################################################
### chunk number 15: 
###################################################
plot(result.batched, "sector")


###################################################
### chunk number 16: 
###################################################
plot(result.batched, "cumulative")


###################################################
### chunk number 17: 
###################################################
options(op)


